<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>TodoApps</title>
</head>
<link rel="stylesheet" href="style.css">

<body>
   
    <header>
        <h1> TodoApps</h1>
    </header>
    <nav>
        <ul>
            <li><a href="#">List 1</a></li>
            <li><a href="#">List 2</a></li>
            <li><a href="#">List 3</a></li>
            <li><a href="#">List 4</a></li>
        </ul>
    </nav>
    <script>
        let list=[];
        function insert(){
            let input = document.getElementById("input").value;
            let el = "";
            if(input){
                list.push(input);
                
                if(list.length){
                    for(let i = 0; i < list.length; i++){
                        el += "<li>"+ (i+1) + "." + list[i]+`<button onclick=hapus(${i})>hapus</button>
                         <button onclick=editt(${i})>Edit</button></li>`;
                      
                    }
                    document.getElementById("Hasil").innerHTML = el;
                }
            }
              let inputs = document.getElementById("input").value = "";
          console.log(list);
        }

        function hapus(i){
            let el;
            list.splice(i, 1);
            let par = document.querySelectorAll('#Hasil > li')[i];
            par.parentNode.removeChild(par);
        }
                
    </script>
    
    <ul id="Hasil"></ul>

    <div class="form"> 
        <input type="text" name="" id="input" placeholder="Input text Disini" required>
        <button onclick="insert()">submit</button>
    </div>
</body>
</html>